<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body bgcolor="white">
	<h3> Service de canaux de transport (Transport Channel Service) </h3>
	Le service de canaux de transport est une solution souple et évolutive pour les transports de client et de serveur.  En prenant une abstraction de pile de protocoles pour générer un transport, les canaux peuvent être considérés comme des couches de protocoles dans une pile d'interconnexion de systèmes ouverts.  Chaque canal fournit une fonction très spécifique en étant lié à l'intercommunication sur les réseaux ou au sein des processus.
	<p>	
	Les interfaces dans ce package sont certaines des interfaces accessibles par le biais du bean géré du service de canaux de transport.  Ces interfaces donneront des informations spécifiques à l'utilisateur sur la pile de protocoles, également appelée Chaînes de transport ou Chaînes, et chacune des couches dans la pile, également appelées Canaux de transport ou Canaux.
	<p>
	Différents éléments dans ce package décrivent mieux l'état de la configuration des Canaux ou Chaînes.  Voici quelques uns de ces éléments :
	<ul>
		<li> <b> ChainData </b> - Données sur la chaîne spécifique.  Inclut la liste des canaux dans cette chaîne.
		<li> <b> ChannelData </b> - Données sur la canal spécifique.  Inclut les listes de propriétés pour ce canal, le nom de l'usine et d'autres informations importantes. 
		<li> <b> ChannelFactoryData </b> - L'élément ChannelFactory est celui qui crée les canaux.  Etant donné qu'il connaît tous les canaux d'un type spécifique (canal TCP, canal HTTP, canal de conteneur Web, etc), des ressources spécifiques peuvent être affectées à l'élément ChannelFactory.  Certains canaux auront donc une configuration également pour leur usine.
		<li> <b> ChainGroupData </b> - Au sein du service de transport de canaux, les chaînes peuvent être regroupées dans des groupes logiques, appelés Groupes de chaînes.  Ceci peut faciliter davantage les méthodes de cycle de vie pour un groupe de chaînes.  Ces données de groupe comporteront une liste des chaînes dans ce groupe.
		<li> <b> ChainStartMode </b> - Cette interface facilite la manière dont une chaîne est démarrée dans l'infrastructure prédéfinie.
		<li> <b> FlowType </b> - Cette interface indique les différents types de chaînes, entrantes ou sortantes.
		<ul>
			<li> <b> Inbound </b> - Les chaînes entrantes sont l'équivalent des chaînes côté serveur.  Elles accepteront le travail dans le système.
			<li> <b> Outbound </b> - Les chaînes sortantes sont l'équivalent des chaînes côté client.  Elles enverront le travail à un autre système.
		</ul>
	</ul>
</body>
</html>
